/**
 *   Copyright 2007 Y.Murakamin
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package net.murakamin.sticker.commands;

import net.murakamin.sticker.CommandRunner;

/**
 * Interface implements when exception handling is done by the parents command
 * to generation of exception by child element
 * 
 * @author Y.Murakamin
 * 
 */
public interface ChildCommandExceptionHandler
{

	/**
	 * handled event
	 * 
	 * @param pool
	 *            Connection pooling object
	 * @param context
	 *            The Sticker Context
	 * @throws Exception
	 * @see net.murakamin.sticker.commands.ParentCommand
	 */
	void handleException(final CommandRunner runner) throws Exception;
}
